Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

请教:加载新应用的时候提示的错误信息,这是什么问题?



  • 错误:
    Odoo Server Error

    Traceback (most recent call last):
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 757, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 662, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3838, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3752, in _load_records_create
    return self.create(values)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 433, in _model_create_single
    return self.browse().concat((create(self, vals) for vals in arg))
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 433, in
    return self.browse().concat(
    (create(self, vals) for vals in arg))
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 132, in create
    res._bootstrap_homepage()
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 175, in _bootstrap_homepage
    self.copy_menu_hierarchy(default_menu)
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 188, in copy_menu_hierarchy
    'website_id': website.id,
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 4267, in copy
    self.with_context(from_copy_translation=True).copy_translations(new, excluded=default or ())
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 4249, in copy_translations
    Translation.create(vals_list)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
    File "/home/davitt/odoo-dev/odoo/odoo/addons/base/models/ir_translation.py", line 594, in create
    records = super(IrTranslation, self.sudo()).create(vals_list).with_env(self.env)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3533, in create
    records = self._create(data_list)
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3633, in _create
    cr.execute(query, params)
    File "/home/davitt/odoo-dev/odoo/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
    psycopg2.IntegrityError: 错误: 重复键违反唯一约束"ir_translation_unique"
    DETAIL: 键值"(type, name, lang, res_id, md5(src))=(model, website.menu,name, zh_CN, 4, 9d2c349b506d784dfda2d08fbafc977b)" 已经存在

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 654, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 312, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
    File "/home/davitt/odoo-dev/odoo/odoo/tools/pycompat.py", line 87, in reraise
    raise value
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 696, in dispatch
    result = self._call_function(**self.params)
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 337, in checked_call
    result = self.endpoint(*a, **kw)
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 939, in call
    return self.method(*args, **kw)
    File "/home/davitt/odoo-dev/odoo/odoo/http.py", line 517, in response_wrap
    response = f(*args, **kw)
    File "/home/davitt/odoo-dev/odoo/addons/web/controllers/main.py", line 966, in call_button
    action = self._call_kw(model, method, args, {})
    File "/home/davitt/odoo-dev/odoo/addons/web/controllers/main.py", line 954, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 749, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 736, in _call_kw_multi
    result = method(recs, args, **kwargs)
    File "", line 2, in button_immediate_install
    File "/home/davitt/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
    return method(self, args, **kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
    File "/home/davitt/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 552, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
    File "/home/davitt/odoo-dev/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
    File "/home/davitt/odoo-dev/odoo/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
    File "/home/davitt/odoo-dev/odoo/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
    File "/home/davitt/odoo-dev/odoo/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
    File "/home/davitt/odoo-dev/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 801, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 864, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 754, in parse
    self.parse(rec, mode)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 763, in parse
    exc_info[2]
    File "/home/davitt/odoo-dev/odoo/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 757, in parse
    self._tags[rec.tag](rec, de, mode=mode)
    File "/home/davitt/odoo-dev/odoo/odoo/tools/convert.py", line 662, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3838, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3752, in _load_records_create
    return self.create(values)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 433, in _model_create_single
    return self.browse().concat(
    (create(self, vals) for vals in arg))
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 433, in
    return self.browse().concat(
    (create(self, vals) for vals in arg))
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 132, in create
    res._bootstrap_homepage()
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 175, in _bootstrap_homepage
    self.copy_menu_hierarchy(default_menu)
    File "/home/davitt/odoo-dev/odoo/addons/website/models/website.py", line 188, in copy_menu_hierarchy
    'website_id': website.id,
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 4267, in copy
    self.with_context(from_copy_translation=True).copy_translations(new, excluded=default or ())
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 4249, in copy_translations
    Translation.create(vals_list)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
    File "/home/davitt/odoo-dev/odoo/odoo/addons/base/models/ir_translation.py", line 594, in create
    records = super(IrTranslation, self.sudo()).create(vals_list).with_env(self.env)
    File "", line 2, in create
    File "/home/davitt/odoo-dev/odoo/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3533, in create
    records = self._create(data_list)
    File "/home/davitt/odoo-dev/odoo/odoo/models.py", line 3633, in _create
    cr.execute(query, params)
    File "/home/davitt/odoo-dev/odoo/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
    File "/home/davitt/odoo-dev/odoo/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
    odoo.tools.convert.ParseError: "错误: 重复键违反唯一约束"ir_translation_unique"
    DETAIL: 键值"(type, name, lang, res_id, md5(src))=(model, website.menu,name, zh_CN, 4, 9d2c349b506d784dfda2d08fbafc977b)" 已经存在
    " while parsing /home/davitt/odoo-dev/odoo/addons/website/data/website_data.xml:154, near

    My Website







  • @davit请教:加载新应用的时候提示的错误信息,这是什么问题? 中说:

    odoo.tools.convert.ParseError: "错误: 重复键违反唯一约束"ir_translation_unique"
    DETAIL: 键值"(type, name, lang, res_id, md5(src))=(model, website.menu,name, zh_CN, 4, 9d2c349b506d784dfda2d08fbafc977b)" 已经存在
    " while parsing /home/davitt/odoo-dev/odoo/addons/website/data/website_data.xml:154, near

    My Website





    上面不是提示违反约束了,你看是不是你写重复了,看是不是跟下面这个的xml id重复了


  • Banned

    @hui 界面汉化包有问题。


Log in to reply